Package org.apache.sling.commons.content.processing

## Interface ContentProcessor

    @ProviderType
    public interface ContentProcessor

Service for processing content.

### Method Summary

All Methods Instance Methods Abstract Methods
`@NotNull CompletableFuture<Void>` `process​(@NotNull InputStream input, @NotNull OutputStream output, @Nullable Map<String,​Object> parameters, @NotNull Map<String,​Object> report)` Processes the given content.

### Method Detail

#### process

    @NotNull
    @NotNull CompletableFuture<Void> process​(@NotNull
                                             @NotNull InputStream input,
                                             @NotNull
                                             @NotNull OutputStream output,
                                             @Nullable
                                             @Nullable Map<String,​Object> parameters,
                                             @NotNull
                                             @NotNull Map<String,​Object> report)

Processes the given content.

Parameters:
  `input` - the stream from which the content is read for processing
  `output` - the stream into which the content is written during or after processing
  `parameters` - the parameters for the processing operation
  `report` - the report to which the findings of the processing operation are added
Returns:
  `CompletableFuture` for signaling completion